<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlast.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlast</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../IDL.html" >IDL</a>.idlast

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="idlast/AST.html" >AST</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.AST" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line167" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for top-level Abstract Syntax Tree.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Decl.html" >Decl</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line195" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for all declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/DeclRepoId.html" >DeclRepoId</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclRepoId" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line231" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Mixin class for Decls which have a Repository Id

Functions:

  identifier&#40;&#41; -- name of the declaration as a string
  scopedName&#40;&#41; -- list of strings forming the fully-scoped name of the
                  declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Pragma.html" >Pragma</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Pragma" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line254" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Comment.html" >Comment</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line274" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Module.html" >Module</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line299" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Module declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  definitions&#40;&#41;   -- list of Decl objects declared within this module.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Interface.html" >Interface</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line330" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Interface declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  abstract&#40;&#41;     -- boolean: true if the interface is declared abstract.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Forward.html" >Forward</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Forward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line390" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Forward-declared interface &#40;Decl&#44; DeclRepoId&#41;

Functions:

  abstract&#40;&#41; -- boolean: true if the interface is declared abstract.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Const.html" >Const</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Const" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line419" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Constant declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  constType&#40;&#41; -- IdlType.Type object of this constant.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Declarator.html" >Declarator</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Declarator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line449" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Declarator used in typedefs&#44; struct members&#44; etc.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Typedef.html" >Typedef</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Typedef" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line485" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Typedef &#40;Decl&#41;

Functions:

  aliasType&#40;&#41;   -- IdlType.Type object that this is an alias to.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Member.html" >Member</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Member" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line511" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Member of a struct or exception &#40;Decl&#41;

Functions:

  memberType&#40;&#41;  -- IdlType.Type object for the type of this member.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Struct.html" >Struct</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Struct" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line537" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Struct declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  members&#40;&#41;   -- list of Member objects for the struct contents.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/StructForward.html" >StructForward</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StructForward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line563" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Struct forward declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  fullDecl&#40;&#41; -- full definition of the struct.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Exception.html" >Exception</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Exception" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line584" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception declaration &#40;Decl&#44; DeclRepoId&#41;

Function:

  members&#40;&#41; -- list of Member objects for the exception contents.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/CaseLabel.html" >CaseLabel</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.CaseLabel" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line606" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Case label within a union &#40;Decl&#41;

Functions:

  default&#40;&#41;   -- boolean: true if this is the default label.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/UnionCase.html" >UnionCase</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.UnionCase" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line633" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">One case within a union &#40;Decl&#41;

Functions:

  labels&#40;&#41;     -- list of CaseLabel objects.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Union.html" >Union</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Union" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line662" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Union declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  switchType&#40;&#41; -- IdlType.Type object corresponding to the switch type.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/UnionForward.html" >UnionForward</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.UnionForward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line696" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Union forward declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  fullDecl&#40;&#41; -- full definition of the union.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Enumerator.html" >Enumerator</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Enumerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line717" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Enumerator of an Enum &#40;Decl&#44; DeclRepoId&#41;

Function:

  value&#40;&#41; -- integer value of enumerator&#44; as marshalled.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Enum.html" >Enum</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Enum" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line737" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Enum declaration &#40;Decl&#44; DeclRepoId&#41;

Function:

  enumerators&#40;&#41; -- list of Enumerator objects.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Attribute.html" >Attribute</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Attribute" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line758" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Attribute declaration &#40;Decl&#41;

Functions:

  readonly&#40;&#41;    -- boolean: true if the attribute is read only.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Parameter.html" >Parameter</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Parameter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line788" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A Parameter of an operation or factory specifier &#40;Decl&#41;

Functions:

  direction&#40;&#41;  -- integer: 0 == in&#44; 1 == out&#44; 2 == inout.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Operation.html" >Operation</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Operation" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line820" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Operation declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  oneway&#40;&#41;     -- boolean: true if operation is one way.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Native.html" >Native</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Native" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line854" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Native declaration &#40;Decl&#44; DeclRepoId&#41;

Native should not be used in normal IDL.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/StateMember.html" >StateMember</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line870" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">State member of a valuetype &#40;Decl&#41;

Functions:

  memberAccess&#40;&#41; -- integer: 0 == public&#44; 1 == private.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Factory.html" >Factory</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Factory" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line900" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Factory method of valuetype &#40;Decl&#41;

Functions:

  identifier&#40;&#41; -- string.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/ValueForward.html" >ValueForward</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.ValueForward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line925" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Forward declared valuetype &#40;Decl&#44; DeclRepoId&#41;

Function:

  abstract&#40;&#41; -- boolean: true if declared abstract.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/ValueBox.html" >ValueBox</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.ValueBox" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line952" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">ValueBox declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  boxedType&#40;&#41;  -- IdlType.Type object for boxed type.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/ValueAbs.html" >ValueAbs</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.ValueAbs" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line977" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract valuetype declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  inherits&#40;&#41;     -- list of ValueAbs objects from which this inherits.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Value.html" >Value</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1041" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">valuetype declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  custom&#40;&#41;       -- boolean: true if declared custom.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/DeclNotFound.html" >DeclNotFound</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclNotFound" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1168" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception to indicate that findDecl&#40;&#41; could not find the
    requested Decl object.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlast.html#registerDecl" >registerDecl</a></span>(<span class="variable">scopedName</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.registerDecl" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1119" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlast.html#findDecl" >findDecl</a></span>(<span class="variable">scopedName</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.findDecl" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1179" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">findDecl&#40;scopedName&#41; -&gt; Decl

Find a Decl object given a fully scoped name represented as a list of
strings.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlast.html#clear" >clear</a></span>()  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.clear" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1213" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="declMap">declMap</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1117" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="CORBAObject">CORBAObject</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1194" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="CORBAValueBase">CORBAValueBase</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1201" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="CORBAModule">CORBAModule</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1208" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="idlast/AST.html" >AST</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.AST" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line167" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class for top-level Abstract Syntax Tree.

Functions:

  file&#40;&#41;          -- the file name of the main IDL file.
  declarations&#40;&#41;  -- list of Decl objects corresponding to declarations
                     at file scope.
  pragmas&#40;&#41;       -- list of Pragma objects containing #pragmas which
                     occurred before any declarations. Later #pragmas
                     are attached to Decl objects.
  comments&#40;&#41;      -- list of Comment objects containing comments which
                     occurred before any declarations.
  accept&#40;visitor&#41; -- visitor pattern accept. See idlvisitor.py.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Decl.html" >Decl</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Decl" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line195" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for all declarations.

Functions:

  file&#40;&#41;          -- the IDL file this declaration came from.
  line&#40;&#41;          -- the line number within the file.
  mainFile&#40;&#41;      -- boolean: true if the file was the main IDL file;
                     false if it was an included file.
  pragmas&#40;&#41;       -- list of Pragma objects containing #pragmas which
                     immediately followed this declaration.
  comments&#40;&#41;      -- list of Comment objects containing comments which
                     immediately followed this declaration.
  fullDecl&#40;&#41;      -- the 'full' Decl for typedefs&#44; forwards&#44; etc.

  accept&#40;visitor&#41; -- visitor pattern accept. See idlvisitor.py.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/DeclRepoId.html" >DeclRepoId</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclRepoId" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line231" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Mixin class for Decls which have a Repository Id

Functions:

  identifier&#40;&#41; -- name of the declaration as a string
  scopedName&#40;&#41; -- list of strings forming the fully-scoped name of the
                  declaration. e.g. ::foo::bar::baz is represented as
                  ['foo'&#44; 'bar'&#44; 'baz'].
  repoId&#40;&#41;     -- repository identifier for this declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Pragma.html" >Pragma</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Pragma" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line254" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class containing information about an unknown pragma

Functions:

  text&#40;&#41;    -- text of the pragma
  __str__&#40;&#41; -- same as text&#40;&#41;
  file&#40;&#41;    -- file containing the pragma
  line&#40;&#41;    -- line number in file</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Comment.html" >Comment</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Comment" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line274" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Class containing information about a comment

Functions:

  text&#40;&#41;    -- text of the comment
  __str__&#40;&#41; -- same as text&#40;&#41;
  file&#40;&#41;    -- file containing the comment
  line&#40;&#41;    -- line number in file</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Module.html" >Module</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line299" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Module declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  definitions&#40;&#41;   -- list of Decl objects declared within this module.
  continuations&#40;&#41; -- list containing continuations of this module.
                     When modules are re-opened&#44; multiple Module
                     objects with the same name appear in the
                     enclosing Module or AST object. In case it's
                     useful&#44; the first Module object for a particular
                     module has a list containing continuations of
                     that module. You will probably not have any use
                     for this.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Interface.html" >Interface</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Interface" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line330" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Interface declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  abstract&#40;&#41;     -- boolean: true if the interface is declared abstract.
  local&#40;&#41;        -- boolean: true if the interface is declared local.
  inherits&#40;&#41;     -- list of Interface objects from which this one
                    inherits.
  contents&#40;&#41;     -- list of Decl objects for all items declared within
                    this interface.
  declarations&#40;&#41; -- subset of contents&#40;&#41; containing types&#44; constants
                    and exceptions.
  callables&#40;&#41;    -- subset of contents&#40;&#41; containing Operations and
                    Attributes.
  all_callables&#40;&#41;-- callables of this and inherited interfaces.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Forward.html" >Forward</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Forward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line390" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Forward-declared interface &#40;Decl&#44; DeclRepoId&#41;

Functions:

  abstract&#40;&#41; -- boolean: true if the interface is declared abstract.
  local&#40;&#41;    -- boolean: true if the interface is declared local.
  fullDecl&#40;&#41; -- Interface object corresponding to full interface
                declaration or None if there is no full declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Const.html" >Const</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Const" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line419" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Constant declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  constType&#40;&#41; -- IdlType.Type object of this constant. Aliases not
                 stripped.
  constKind&#40;&#41; -- TypeCode kind of constant with aliases stripped.
  value&#40;&#41;     -- value of the constant. Either an integer or an
                 Enumerator object.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Declarator.html" >Declarator</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Declarator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line449" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Declarator used in typedefs&#44; struct members&#44; etc. &#40;Decl&#44; DeclRepoId&#41;

Functions:

  sizes&#40;&#41; -- list of array sizes&#44; or None if this is a simple
             declarator.
  alias&#40;&#41; -- Typedef object for this declarator if this is a typedef
             declarator. None otherwise.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Typedef.html" >Typedef</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Typedef" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line485" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Typedef &#40;Decl&#41;

Functions:

  aliasType&#40;&#41;   -- IdlType.Type object that this is an alias to.
  constrType&#40;&#41;  -- boolean: true if the alias type was constructed
                   within this typedef declaration.
  declarators&#40;&#41; -- list of Declarator objects.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Member.html" >Member</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Member" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line511" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Member of a struct or exception &#40;Decl&#41;

Functions:

  memberType&#40;&#41;  -- IdlType.Type object for the type of this member.
  constrType&#40;&#41;  -- boolean: true if the member type was constructed
                   within the member declaration.
  declarators&#40;&#41; -- list of Declarator objects.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Struct.html" >Struct</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Struct" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line537" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Struct declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  members&#40;&#41;   -- list of Member objects for the struct contents.
  recursive&#40;&#41; -- boolean: true if the struct is recursive.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/StructForward.html" >StructForward</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StructForward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line563" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Struct forward declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  fullDecl&#40;&#41; -- full definition of the struct.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Exception.html" >Exception</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Exception" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line584" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception declaration &#40;Decl&#44; DeclRepoId&#41;

Function:

  members&#40;&#41; -- list of Member objects for the exception contents.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/CaseLabel.html" >CaseLabel</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.CaseLabel" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line606" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Case label within a union &#40;Decl&#41;

Functions:

  default&#40;&#41;   -- boolean: true if this is the default label.
  value&#40;&#41;     -- label value. Either an integer or an Enumerator
                 object. If default&#40;&#41; is true&#44; returns a value used by
                 none of the other union labels.
  labelKind&#40;&#41; -- TypeCode kind of label.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/UnionCase.html" >UnionCase</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.UnionCase" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line633" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">One case within a union &#40;Decl&#41;

Functions:

  labels&#40;&#41;     -- list of CaseLabel objects.
  caseType&#40;&#41;   -- IdlType.Type object for the case type.
  constrType&#40;&#41; -- boolean: true if the case type was constructed
                  within the case.
  declarator&#40;&#41; -- Declarator object</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Union.html" >Union</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Union" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line662" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Union declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  switchType&#40;&#41; -- IdlType.Type object corresponding to the switch type.
  constrType&#40;&#41; -- boolean: true if the switch type was declared within
                  the switch statement. Only possible for Enums.
  cases&#40;&#41;      -- list of UnionCase objects.
  recursive&#40;&#41;  -- boolean: true if the union is recursive.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/UnionForward.html" >UnionForward</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.UnionForward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line696" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Union forward declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  fullDecl&#40;&#41; -- full definition of the union.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Enumerator.html" >Enumerator</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Enumerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line717" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Enumerator of an Enum &#40;Decl&#44; DeclRepoId&#41;

Function:

  value&#40;&#41; -- integer value of enumerator&#44; as marshalled.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Enum.html" >Enum</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Enum" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line737" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Enum declaration &#40;Decl&#44; DeclRepoId&#41;

Function:

  enumerators&#40;&#41; -- list of Enumerator objects.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Attribute.html" >Attribute</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.Attribute" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line758" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Attribute declaration &#40;Decl&#41;

Functions:

  readonly&#40;&#41;    -- boolean: true if the attribute is read only.
  attrType&#40;&#41;    -- IdlType.Type object for the attribute's type.
  declarators&#40;&#41; -- list of the attribute's declarators.
  identifiers&#40;&#41; -- list of strings containing the attribute identifiers
                     &#40;equivalent to the identifiers inside the declarators&#41;.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Parameter.html" >Parameter</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Parameter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line788" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A Parameter of an operation or factory specifier &#40;Decl&#41;

Functions:

  direction&#40;&#41;  -- integer: 0 == in&#44; 1 == out&#44; 2 == inout.
  is_in&#40;&#41;      -- boolean: true if in or inout.
  is_out&#40;&#41;     -- boolean: true if out or inout.
  paramType&#40;&#41;  -- IdlType.Type object for the parameter type.
  identifier&#40;&#41; -- string of parameter identifier.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Operation.html" >Operation</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Operation" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line820" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Operation declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  oneway&#40;&#41;     -- boolean: true if operation is one way.
  returnType&#40;&#41; -- IdlType.Type object for return type.
  parameters&#40;&#41; -- list of Parameter objects.
  raises&#40;&#41;     -- list of Exception objects.
  contexts&#40;&#41;   -- list of strings for context expressions.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Native.html" >Native</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Native" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line854" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Native declaration &#40;Decl&#44; DeclRepoId&#41;

Native should not be used in normal IDL.

No non-inherited functions.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/StateMember.html" >StateMember</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.StateMember" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line870" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">State member of a valuetype &#40;Decl&#41;

Functions:

  memberAccess&#40;&#41; -- integer: 0 == public&#44; 1 == private.
  memberType&#40;&#41;   -- IdlType.Type object for member type.
  constrType&#40;&#41;   -- boolean: true if member type is declared within
                    the StateMember.
  declarators&#40;&#41;  -- list of Declarator objects.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Factory.html" >Factory</a></div> <div class="xref"><a href="../../../../XRef/xref18.html#Synopsis.Parsers.IDL.idlast.Factory" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line900" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Factory method of valuetype &#40;Decl&#41;

Functions:

  identifier&#40;&#41; -- string.
  parameters&#40;&#41; -- list of Parameter objects.
  raises&#40;&#41;     -- list of Exception objects.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/ValueForward.html" >ValueForward</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.ValueForward" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line925" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Forward declared valuetype &#40;Decl&#44; DeclRepoId&#41;

Function:

  abstract&#40;&#41; -- boolean: true if declared abstract.
  fullDecl&#40;&#41; -- Value or ValueAbs object corresponding to the full
                valuetype declaration or None if there is no full
                declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/ValueBox.html" >ValueBox</a></div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.ValueBox" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line952" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">ValueBox declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  boxedType&#40;&#41;  -- IdlType.Type object for boxed type.
  constrType&#40;&#41; -- boolean: true if boxed type is declared inside the
                  ValueBox declaration.</div></div>
<div class="item"><div class="synopsis">class <a href="idlast/ValueAbs.html" >ValueAbs</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.ValueAbs" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line977" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract valuetype declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  inherits&#40;&#41;     -- list of ValueAbs objects from which this inherits.
  supports&#40;&#41;     -- list of Interface objects which this supports.
  contents&#40;&#41;     -- list of Decl objects for declarations within this
                    valuetype.
  declarations&#40;&#41; -- subset of contents&#40;&#41; containing types&#44; constants
                    and exceptions.
  callables&#40;&#41;    -- subset of contents&#40;&#41; containing Operations and
                    Attributes.
  statemembers&#40;&#41; -- subset of contents&#40;&#41; containing StateMembers.
  factories&#40;&#41;    -- subset of contents&#40;&#41; containing Factory instances.
  </div></div>
<div class="item"><div class="synopsis">class <a href="idlast/Value.html" >Value</a></div> <div class="xref"><a href="../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1041" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">valuetype declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  custom&#40;&#41;       -- boolean: true if declared custom.
  inherits&#40;&#41;     -- list of valuetypes from which this inherits. The
                    first may be a Value object or a ValueAbs object;
                    any others will be ValueAbs objects.
  truncatable&#40;&#41;  -- boolean: true if the inherited Value is declared
                    truncatable.
  supports&#40;&#41;     -- list of Interface objects which this supports.
  contents&#40;&#41;     -- list of Decl objects for all items declared within
                    this valuetype.
  declarations&#40;&#41; -- subset of contents&#40;&#41; containing types&#44; constants
                    and exceptions.
  callables&#40;&#41;    -- subset of contents&#40;&#41; containing Operations and
                    Attributes.
  statemembers&#40;&#41; -- subset of contents&#40;&#41; containing StateMembers.
  factories&#40;&#41;    -- subset of contents&#40;&#41; containing Factory instances.
  </div></div>
<div class="item"><div class="synopsis">class <a href="idlast/DeclNotFound.html" >DeclNotFound</a></div> <div class="xref"><a href="../../../../XRef/xref17.html#Synopsis.Parsers.IDL.idlast.DeclNotFound" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1168" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Exception to indicate that findDecl&#40;&#41; could not find the
    requested Decl object.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="registerDecl">registerDecl</a>(<span class="variable">scopedName</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.registerDecl" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1119" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Private function</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="findDecl">findDecl</a>(<span class="variable">scopedName</span>)  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.findDecl" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1179" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">findDecl&#40;scopedName&#41; -&gt; Decl

Find a Decl object given a fully scoped name represented as a list of
strings. Raises DeclNotFound if the name is not recognised.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="clear">clear</a>()  </div> <div class="xref"><a href="../../../../XRef/xref20.html#Synopsis.Parsers.IDL.idlast.clear" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1213" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Clear back-end structures ready for another run</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
